Bug 475270 - RFE: Make firstboot a little clearer that it's "finishing the installation"
RFE: Make firstboot a little clearer that it's "finishing the installation"
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-12-08 13:32 EST by Jeremy Katz
Modified: 2009-09-02 15:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 15:04:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-12-08 13:32:31 EST
Suggestion from bug 474817
"""
- When you do remember to remove the CD and it boots the system from the hard
disk for the first time, the installation continues, but it's not completely
obvious that this is just the 'second stage' and the last step before the
system is usable.  It feels as though you are back at the installer again,
which has already happened several times before when you left the CD in the
drive...

Suggestion: perhaps the initial user setup and selection of timezone etc. could
happen during the main install process, so when this process finishes the
system is completely ready to use.  Alternatively, a more obvious splash screen
or banner for 'finishing the installation' might make it clearer what is
happening.
"""
Comment 1 john5342 2008-12-08 20:26:27 EST
This bug has been triaged
Comment 2 Chris Lumens 2008-12-09 09:57:42 EST
Aside from firstboot looking totally different from anaconda (what with the sidebar and all), there's this text on the welcome screen:

        label = gtk.Label(_("There are a few more steps to take before your "
                            "system is ready to use.  The Setup Agent will "
                            "now guide you through some basic configuration.  "
                            "Please click the \"Forward\" button in the lower "
                            "right corner to continue"))

How much clearer do I need to be?
Comment 3 Jeremy Katz 2008-12-09 11:35:07 EST
Yeah, I realize there are already differences... and I'm not strongly tied to doing anything.  But I wonder if it would make sense to basically overlay some text on the banners at the top (for both anaconda and firstboot really).

Mostly filed as a "so we can think about it" than a "definitely do something" kind of thing

Note You need to log in before you can comment on or make changes to this bug.